vulkan_xlib_xrandr.h File Reference

Go to the source code of this file.

## Macros

#define | VK_EXT_acquire_xlib_display 1
#define | VK_EXT_ACQUIRE_XLIB_DISPLAY_SPEC_VERSION 1
#define | VK_EXT_ACQUIRE_XLIB_DISPLAY_EXTENSION_NAME "VK_EXT_acquire_xlib_display"

## Typedefs

typedef VkResult(VKAPI_PTR * | PFN_vkAcquireXlibDisplayEXT) (VkPhysicalDevice physicalDevice, Display *dpy, VkDisplayKHR display)
typedef VkResult(VKAPI_PTR * | PFN_vkGetRandROutputDisplayEXT) (VkPhysicalDevice physicalDevice, Display *dpy, RROutput rrOutput, VkDisplayKHR *pDisplay)

## Functions

VKAPI_ATTR VkResult VKAPI_CALL | vkAcquireXlibDisplayEXT (VkPhysicalDevice physicalDevice, Display *dpy, VkDisplayKHR display)
VKAPI_ATTR VkResult VKAPI_CALL | vkGetRandROutputDisplayEXT (VkPhysicalDevice physicalDevice, Display *dpy, RROutput rrOutput, VkDisplayKHR *pDisplay)

## Macro Definition Documentation

## VK_EXT_acquire_xlib_display

#define VK_EXT_acquire_xlib_display 1

Definition at line 30 of file vulkan_xlib_xrandr.h.

## VK_EXT_ACQUIRE_XLIB_DISPLAY_EXTENSION_NAME

#define VK_EXT_ACQUIRE_XLIB_DISPLAY_EXTENSION_NAME "VK_EXT_acquire_xlib_display"

Definition at line 32 of file vulkan_xlib_xrandr.h.

## VK_EXT_ACQUIRE_XLIB_DISPLAY_SPEC_VERSION

#define VK_EXT_ACQUIRE_XLIB_DISPLAY_SPEC_VERSION 1

Definition at line 31 of file vulkan_xlib_xrandr.h.

## Typedef Documentation

## PFN_vkAcquireXlibDisplayEXT

typedef VkResult(VKAPI_PTR * PFN_vkAcquireXlibDisplayEXT) (VkPhysicalDevice physicalDevice, Display *dpy, VkDisplayKHR display)

Definition at line 34 of file vulkan_xlib_xrandr.h.

## PFN_vkGetRandROutputDisplayEXT

typedef VkResult(VKAPI_PTR * PFN_vkGetRandROutputDisplayEXT) (VkPhysicalDevice physicalDevice, Display *dpy, RROutput rrOutput, VkDisplayKHR *pDisplay)

Definition at line 35 of file vulkan_xlib_xrandr.h.

## Function Documentation

## vkAcquireXlibDisplayEXT()

VKAPI_ATTR VkResult VKAPI_CALL vkAcquireXlibDisplayEXT | ( | VkPhysicalDevice | physicalDevice,
|  | Display * | dpy,
|  | VkDisplayKHR | display
| ) |  |

Referenced by VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::init().

## vkGetRandROutputDisplayEXT()

VKAPI_ATTR VkResult VKAPI_CALL vkGetRandROutputDisplayEXT | ( | VkPhysicalDevice | physicalDevice,
|  | Display * | dpy,
|  | RROutput | rrOutput,
|  | VkDisplayKHR * | pDisplay
| ) |  |

Referenced by VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::init().